import { TestBed, async } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BackendService } from '../../services/backend.service';
import { HttpClientModule } from '@angular/common/http';
import { UserstoryInnerTableComponent } from './userstory-inner-table.component';

describe('UserstoryInnerTableComponent', () => {
  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [
        RouterTestingModule,
        HttpClientModule,
      ],
      declarations: [
        UserstoryInnerTableComponent,
      ],
      providers: [
        BackendService,
      ]
    }).compileComponents();
  }));

  it('should create the component', () => {
    const fixture = TestBed.createComponent(UserstoryInnerTableComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  });
});
